#if !defined(AFX_ADVLIST_H__DADB2033_6FF1_404A_86A9_07E1542FC279__INCLUDED_)
#define AFX_ADVLIST_H__DADB2033_6FF1_404A_86A9_07E1542FC279__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ADVList.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CADVList dialog

class CADVList : public CDialog
{
// Construction
public:
	CADVList(CWnd* pParent = NULL);   // standard constructor
	CADVList(IApplication *pApp);
// Dialog Data
	//{{AFX_DATA(CADVList)
	enum { IDD = IDD_ADVDETAILS };
	CEdit	m_Cnt_DevName;
	CEdit	m_Cnt_HWDevID;
	CEdit	m_Cnt_DevType;
	CEdit	m_cnt_AcctID;
	CComboBox	m_HIDlist;
	CComboBox	m_AcctList;
	CListCtrl	m_AdvList;
	CString	m_AcctID;
	CString	m_DeviceType;
	CString	m_HWDeviceID;
	CString	m_DeviceName;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CADVList)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CADVList)
		virtual BOOL OnInitDialog();
	afx_msg void OnEditchangeAcctlist();
	afx_msg void OnSelchangeAcctlist();
	afx_msg void OnEditchangeHidlist();
	afx_msg void OnSelchangeHidlist();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
IApplicationPtr pApplication;
IHWDevicePtr	pHwDevice;
void LoadcolumnHeaders();
void LoadAccounts();
void GetHIDDetails();
void GetDeviceDetails();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ADVLIST_H__DADB2033_6FF1_404A_86A9_07E1542FC279__INCLUDED_)
